Bug 450016 - Attempting KMyMoney 5.0.8 "Currencies" Maintenance, Application Crash
Summary: Attempting KMyMoney 5.0.8 "Currencies" Maintenance, Application Crash
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: general (show other bugs)
Version: 5.0.8
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-11 15:21 UTC by Walter Ogelsby
Modified: 2022-02-13 13:24 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Walter Ogelsby 2022-02-11 15:21:21 UTC
SUMMARY
***
Attempting KMyMoney 5.0.8 "Currencies" Maintenance, Application Crash
***


STEPS TO REPRODUCE
1. Mouse Click "Tools"
2. Mouse Click "Currencies"
3. Mouse Click "+Add", Mouse Select "US Dollar"... Error Dialog:
Uncaught error. Please report the details to the developers

Details: Cannot add currency with existing id USD /build/kmymoney-2XFvAS/kmymoney-5.0.8/kmymoney/mymoney/storage/mymoneystoragemgr.cpp:1439


OBSERVED RESULT
Application Crash

EXPECTED RESULT
Ability to Maintain Currencies

Application: kmymoney (5.0.8)

Qt Version: 5.12.8
Frameworks Version: 5.68.0
Operating System: Linux 5.4.0-99-generic x86_64
Windowing system: X11
Distribution: Ubuntu 20.04.3 LTS


ADDITIONAL INFORMATION


-- Backtrace:
Application: KMyMoney (kmymoney), signal: Aborted
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f40ccafb900 (LWP 4923))]

Thread 14 (Thread 0x7f405e0c8700 (LWP 7262)):
#0  __GI___libc_read (nbytes=10, buf=0x7f405e0c7ade, fd=22) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __GI___libc_read (fd=fd@entry=22, buf=buf@entry=0x7f405e0c7ade, nbytes=nbytes@entry=10) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007f40c0e79975 in read (__nbytes=10, __buf=0x7f405e0c7ade, __fd=22) at /usr/include/x86_64-linux-gnu/bits/unistd.h:44
#3  pa_read (fd=22, buf=buf@entry=0x7f405e0c7ade, count=count@entry=10, type=type@entry=0x55c23f80dc38) at pulsecore/core-util.c:422
#4  0x00007f40c1229416 in clear_wakeup (m=<optimized out>) at pulse/mainloop.c:782
#5  pa_mainloop_prepare (m=m@entry=0x55c23f80db60, timeout=-1) at pulse/mainloop.c:789
#6  0x00007f40c1229eb4 in pa_mainloop_iterate (m=0x55c23f80db60, block=<optimized out>, retval=0x0) at pulse/mainloop.c:923
#7  0x00007f40c1229f70 in pa_mainloop_run (m=0x55c23f80db60, retval=retval@entry=0x0) at pulse/mainloop.c:945
#8  0x00007f40c123811d in thread (userdata=0x55c23f80db10) at pulse/thread-mainloop.c:101
#9  0x00007f40c0ea872c in internal_thread_func (userdata=0x55c23f80ddf0) at pulsecore/thread-posix.c:81
#10 0x00007f40d197b609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#11 0x00007f40d1dc2293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7f405effd700 (LWP 5332)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f40c189e058) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7f40c189e008, cond=0x7f40c189e030) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x7f40c189e030, mutex=0x7f40c189e008) at pthread_cond_wait.c:638
#3  0x00007f40d20cce30 in std::condition_variable::wait(std::unique_lock<std::mutex>&) () from /lib/x86_64-linux-gnu/libstdc++.so.6
#4  0x00007f40d50f94f4 in WTF::ParkingLot::parkConditionally(void const*, std::function<bool ()>, std::function<void ()>, std::chrono::time_point<std::chrono::_V2::steady_clock, std::chrono::duration<long, std::ratio<1l, 1000000000l> > >) () at ../Source/WTF/wtf/ParkingLot.cpp:570
#5  0x00007f40d50f7c9c in WTF::ConditionBase::waitUntil<WTF::Lock> () at ../Source/WTF/wtf/Condition.h:74
#6  WTF::ConditionBase::wait<WTF::Lock> () at ../Source/WTF/wtf/Condition.h:113
#7  WTF::ParallelHelperPool::waitForClientWithTask () at ../Source/WTF/wtf/ParallelHelperPool.cpp:236
#8  0x00007f40d50f7d72 in WTF::ParallelHelperPool::helperThreadBody () at ../Source/WTF/wtf/ParallelHelperPool.cpp:189
#9  0x00007f40d50fbc39 in std::function<void ()>::operator()() const () at /usr/include/c++/9/bits/std_function.h:688
#10 threadEntryPoint () at ../Source/WTF/wtf/Threading.cpp:58
#11 0x00007f40d511f69f in wtfThreadEntryPoint () at ../Source/WTF/wtf/ThreadingPthreads.cpp:164
#12 0x00007f40d197b609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#13 0x00007f40d1dc2293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7f405f7fe700 (LWP 5331)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f40c189c05c) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7f40c189c008, cond=0x7f40c189c030) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x7f40c189c030, mutex=0x7f40c189c008) at pthread_cond_wait.c:638
#3  0x00007f40d20cce30 in std::condition_variable::wait(std::unique_lock<std::mutex>&) () from /lib/x86_64-linux-gnu/libstdc++.so.6
#4  0x00007f40d50f94f4 in WTF::ParkingLot::parkConditionally(void const*, std::function<bool ()>, std::function<void ()>, std::chrono::time_point<std::chrono::_V2::steady_clock, std::chrono::duration<long, std::ratio<1l, 1000000000l> > >) () at ../Source/WTF/wtf/ParkingLot.cpp:570
#5  0x00007f40d50f7c9c in WTF::ConditionBase::waitUntil<WTF::Lock> () at ../Source/WTF/wtf/Condition.h:74
#6  WTF::ConditionBase::wait<WTF::Lock> () at ../Source/WTF/wtf/Condition.h:113
#7  WTF::ParallelHelperPool::waitForClientWithTask () at ../Source/WTF/wtf/ParallelHelperPool.cpp:236
#8  0x00007f40d50f7d72 in WTF::ParallelHelperPool::helperThreadBody () at ../Source/WTF/wtf/ParallelHelperPool.cpp:189
#9  0x00007f40d50fbc39 in std::function<void ()>::operator()() const () at /usr/include/c++/9/bits/std_function.h:688
#10 threadEntryPoint () at ../Source/WTF/wtf/Threading.cpp:58
#11 0x00007f40d511f69f in wtfThreadEntryPoint () at ../Source/WTF/wtf/ThreadingPthreads.cpp:164
#12 0x00007f40d197b609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#13 0x00007f40d1dc2293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7f405ffff700 (LWP 5330)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f40c189d05c) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7f40c189d008, cond=0x7f40c189d030) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x7f40c189d030, mutex=0x7f40c189d008) at pthread_cond_wait.c:638
#3  0x00007f40d20cce30 in std::condition_variable::wait(std::unique_lock<std::mutex>&) () from /lib/x86_64-linux-gnu/libstdc++.so.6
#4  0x00007f40d50f94f4 in WTF::ParkingLot::parkConditionally(void const*, std::function<bool ()>, std::function<void ()>, std::chrono::time_point<std::chrono::_V2::steady_clock, std::chrono::duration<long, std::ratio<1l, 1000000000l> > >) () at ../Source/WTF/wtf/ParkingLot.cpp:570
#5  0x00007f40d50f7c9c in WTF::ConditionBase::waitUntil<WTF::Lock> () at ../Source/WTF/wtf/Condition.h:74
#6  WTF::ConditionBase::wait<WTF::Lock> () at ../Source/WTF/wtf/Condition.h:113
#7  WTF::ParallelHelperPool::waitForClientWithTask () at ../Source/WTF/wtf/ParallelHelperPool.cpp:236
#8  0x00007f40d50f7d72 in WTF::ParallelHelperPool::helperThreadBody () at ../Source/WTF/wtf/ParallelHelperPool.cpp:189
#9  0x00007f40d50fbc39 in std::function<void ()>::operator()() const () at /usr/include/c++/9/bits/std_function.h:688
#10 threadEntryPoint () at ../Source/WTF/wtf/Threading.cpp:58
#11 0x00007f40d511f69f in wtfThreadEntryPoint () at ../Source/WTF/wtf/ThreadingPthreads.cpp:164
#12 0x00007f40d197b609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#13 0x00007f40d1dc2293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7f406cd3e700 (LWP 5329)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f40c18a3058) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7f40c18a3008, cond=0x7f40c18a3030) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x7f40c18a3030, mutex=0x7f40c18a3008) at pthread_cond_wait.c:638
#3  0x00007f40d20cce30 in std::condition_variable::wait(std::unique_lock<std::mutex>&) () from /lib/x86_64-linux-gnu/libstdc++.so.6
#4  0x00007f40d50f94f4 in WTF::ParkingLot::parkConditionally(void const*, std::function<bool ()>, std::function<void ()>, std::chrono::time_point<std::chrono::_V2::steady_clock, std::chrono::duration<long, std::ratio<1l, 1000000000l> > >) () at ../Source/WTF/wtf/ParkingLot.cpp:570
#5  0x00007f40d50f7c9c in WTF::ConditionBase::waitUntil<WTF::Lock> () at ../Source/WTF/wtf/Condition.h:74
#6  WTF::ConditionBase::wait<WTF::Lock> () at ../Source/WTF/wtf/Condition.h:113
#7  WTF::ParallelHelperPool::waitForClientWithTask () at ../Source/WTF/wtf/ParallelHelperPool.cpp:236
#8  0x00007f40d50f7d72 in WTF::ParallelHelperPool::helperThreadBody () at ../Source/WTF/wtf/ParallelHelperPool.cpp:189
#9  0x00007f40d50fbc39 in std::function<void ()>::operator()() const () at /usr/include/c++/9/bits/std_function.h:688
#10 threadEntryPoint () at ../Source/WTF/wtf/Threading.cpp:58
#11 0x00007f40d511f69f in wtfThreadEntryPoint () at ../Source/WTF/wtf/ThreadingPthreads.cpp:164
#12 0x00007f40d197b609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#13 0x00007f40d1dc2293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f406d53f700 (LWP 5328)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f40c18a405c) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7f40c18a4008, cond=0x7f40c18a4030) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x7f40c18a4030, mutex=0x7f40c18a4008) at pthread_cond_wait.c:638
#3  0x00007f40d20cce30 in std::condition_variable::wait(std::unique_lock<std::mutex>&) () from /lib/x86_64-linux-gnu/libstdc++.so.6
#4  0x00007f40d50f94f4 in WTF::ParkingLot::parkConditionally(void const*, std::function<bool ()>, std::function<void ()>, std::chrono::time_point<std::chrono::_V2::steady_clock, std::chrono::duration<long, std::ratio<1l, 1000000000l> > >) () at ../Source/WTF/wtf/ParkingLot.cpp:570
#5  0x00007f40d50f7c9c in WTF::ConditionBase::waitUntil<WTF::Lock> () at ../Source/WTF/wtf/Condition.h:74
#6  WTF::ConditionBase::wait<WTF::Lock> () at ../Source/WTF/wtf/Condition.h:113
#7  WTF::ParallelHelperPool::waitForClientWithTask () at ../Source/WTF/wtf/ParallelHelperPool.cpp:236
#8  0x00007f40d50f7d72 in WTF::ParallelHelperPool::helperThreadBody () at ../Source/WTF/wtf/ParallelHelperPool.cpp:189
#9  0x00007f40d50fbc39 in std::function<void ()>::operator()() const () at /usr/include/c++/9/bits/std_function.h:688
#10 threadEntryPoint () at ../Source/WTF/wtf/Threading.cpp:58
#11 0x00007f40d511f69f in wtfThreadEntryPoint () at ../Source/WTF/wtf/ThreadingPthreads.cpp:164
#12 0x00007f40d197b609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#13 0x00007f40d1dc2293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7f406dd40700 (LWP 5327)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f40c19f2678) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7f40c19f2628, cond=0x7f40c19f2650) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x7f40c19f2650, mutex=0x7f40c19f2628) at pthread_cond_wait.c:638
#3  0x00007f40d20cce30 in std::condition_variable::wait(std::unique_lock<std::mutex>&) () from /lib/x86_64-linux-gnu/libstdc++.so.6
#4  0x00007f40d50f94f4 in WTF::ParkingLot::parkConditionally(void const*, std::function<bool ()>, std::function<void ()>, std::chrono::time_point<std::chrono::_V2::steady_clock, std::chrono::duration<long, std::ratio<1l, 1000000000l> > >) () at ../Source/WTF/wtf/ParkingLot.cpp:570
#5  0x00007f40d50f7c9c in WTF::ConditionBase::waitUntil<WTF::Lock> () at ../Source/WTF/wtf/Condition.h:74
#6  WTF::ConditionBase::wait<WTF::Lock> () at ../Source/WTF/wtf/Condition.h:113
#7  WTF::ParallelHelperPool::waitForClientWithTask () at ../Source/WTF/wtf/ParallelHelperPool.cpp:236
#8  0x00007f40d50f7d72 in WTF::ParallelHelperPool::helperThreadBody () at ../Source/WTF/wtf/ParallelHelperPool.cpp:189
#9  0x00007f40d50fbc39 in std::function<void ()>::operator()() const () at /usr/include/c++/9/bits/std_function.h:688
#10 threadEntryPoint () at ../Source/WTF/wtf/Threading.cpp:58
#11 0x00007f40d511f69f in wtfThreadEntryPoint () at ../Source/WTF/wtf/ThreadingPthreads.cpp:164
#12 0x00007f40d197b609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#13 0x00007f40d1dc2293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f40b6048700 (LWP 4929)):
#0  __GI___libc_read (nbytes=16, buf=0x7f40b6047a90, fd=21) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __GI___libc_read (fd=21, buf=buf@entry=0x7f40b6047a90, nbytes=nbytes@entry=16) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007f40d0187b2f in read (__nbytes=16, __buf=0x7f40b6047a90, __fd=<optimized out>) at /usr/include/x86_64-linux-gnu/bits/unistd.h:44
#3  g_wakeup_acknowledge (wakeup=0x7f4068003590) at ../../../glib/gwakeup.c:210
#4  0x00007f40d013eebe in g_main_context_check (context=context@entry=0x7f4060000c30, max_priority=2147483647, fds=fds@entry=0x7f40600029e0, n_fds=n_fds@entry=1) at ../../../glib/gmain.c:3825
#5  0x00007f40d013f312 in g_main_context_iterate (context=context@entry=0x7f4060000c30, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4044
#6  0x00007f40d013f4a3 in g_main_context_iteration (context=0x7f4060000c30, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#7  0x00007f40d24be453 in QEventDispatcherGlib::processEvents (this=0x7f4060000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#8  0x00007f40d24653ab in QEventLoop::exec (this=this@entry=0x7f40b6047ca0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#9  0x00007f40d229d785 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#10 0x00007f40d229e9d2 in QThreadPrivate::start (arg=0x55c23eb60810) at thread/qthread_unix.cpp:361
#11 0x00007f40d197b609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007f40d1dc2293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f40b6849700 (LWP 4928)):
#0  0x00007f40d013b8ed in g_source_unref_internal (source=0x7f4068004840, context=0x7f4068000c30, have_lock=1) at ../../../glib/gmain.c:2184
#1  0x00007f40d013d345 in g_source_iter_next (iter=iter@entry=0x7f40b6848ae0, source=source@entry=0x7f40b6848ad8) at ../../../glib/gmain.c:1049
#2  0x00007f40d013e82b in g_main_context_prepare (context=context@entry=0x7f4068000c30, priority=priority@entry=0x7f40b6848b60) at ../../../glib/gmain.c:3597
#3  0x00007f40d013f29b in g_main_context_iterate (context=context@entry=0x7f4068000c30, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4027
#4  0x00007f40d013f4a3 in g_main_context_iteration (context=0x7f4068000c30, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#5  0x00007f40d24be453 in QEventDispatcherGlib::processEvents (this=0x7f4068000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#6  0x00007f40d24653ab in QEventLoop::exec (this=this@entry=0x7f40b6848ca0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#7  0x00007f40d229d785 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#8  0x00007f40d229e9d2 in QThreadPrivate::start (arg=0x55c23eaf7ab0) at thread/qthread_unix.cpp:361
#9  0x00007f40d197b609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f40d1dc2293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f40c2374700 (LWP 4927)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f40d7210d30 <bmalloc::PerProcess<bmalloc::Heap>::s_memory+3120>) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55c23eafef30, cond=0x7f40d7210d08 <bmalloc::PerProcess<bmalloc::Heap>::s_memory+3080>) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x7f40d7210d08 <bmalloc::PerProcess<bmalloc::Heap>::s_memory+3080>, mutex=0x55c23eafef30) at pthread_cond_wait.c:638
#3  0x00007f40d20cce30 in std::condition_variable::wait(std::unique_lock<std::mutex>&) () from /lib/x86_64-linux-gnu/libstdc++.so.6
#4  0x00007f40d671b551 in std::_V2::condition_variable_any::wait<std::unique_lock<bmalloc::Mutex> > () at /usr/include/c++/9/condition_variable:273
#5  std::_V2::condition_variable_any::wait<std::unique_lock<bmalloc::Mutex>, bmalloc::AsyncTask<bmalloc::Heap, void (bmalloc::Heap::*)()>::threadRunLoop()::{lambda()#1}>(std::unique_lock<bmalloc::Mutex>&, bmalloc::AsyncTask<bmalloc::Heap, void (bmalloc::Heap::*)()>::threadRunLoop()::{lambda()#1}) () at /usr/include/c++/9/condition_variable:282
#6  bmalloc::AsyncTask<bmalloc::Heap, void (bmalloc::Heap::*)()>::threadRunLoop () at ../Source/bmalloc/bmalloc/AsyncTask.h:126
#7  0x00007f40d671b66f in bmalloc::AsyncTask<bmalloc::Heap, void (bmalloc::Heap::*)()>::threadEntryPoint () at ../Source/bmalloc/bmalloc/AsyncTask.h:106
#8  0x00007f40d20d2de4 in ?? () from /lib/x86_64-linux-gnu/libstdc++.so.6
#9  0x00007f40d197b609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f40d1dc2293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f40c8db9700 (LWP 4926)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x55c23cf60938) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55c23cf608e8, cond=0x55c23cf60910) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55c23cf60910, mutex=0x55c23cf608e8) at pthread_cond_wait.c:638
#3  0x00007f40c263a5eb in cnd_wait (mtx=0x55c23cf608e8, cond=0x55c23cf60910) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x55c23cf59410) at ../src/util/u_queue.c:294
#5  0x00007f40c263a1eb in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f40d197b609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f40d1dc2293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f40cae10700 (LWP 4925)):
#0  0x00007f40d1db5aff in __GI___poll (fds=0x7f40bc012d10, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f40d013f36e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f40bc012d10, timeout=<optimized out>, context=0x7f40bc000c30) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f40bc000c30, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f40d013f4a3 in g_main_context_iteration (context=0x7f40bc000c30, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f40d24be453 in QEventDispatcherGlib::processEvents (this=0x7f40bc000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f40d24653ab in QEventLoop::exec (this=this@entry=0x7f40cae0fc70, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:140
#6  0x00007f40d229d785 in QThread::exec (this=this@entry=0x7f40d27c3d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:120
#7  0x00007f40d2740efa in QDBusConnectionManager::run (this=0x7f40d27c3d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:178
#8  0x00007f40d229e9d2 in QThreadPrivate::start (arg=0x7f40d27c3d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:361
#9  0x00007f40d197b609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f40d1dc2293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f40cbc46700 (LWP 4924)):
#0  0x00007f40d1db5aff in __GI___poll (fds=fds@entry=0x7f40cbc45ba8, nfds=nfds@entry=1, timeout=timeout@entry=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f40cd6dfc1a in poll (__timeout=-1, __nfds=1, __fds=0x7f40cbc45ba8) at /usr/include/x86_64-linux-gnu/bits/poll2.h:46
#2  _xcb_conn_wait (c=c@entry=0x55c23cc94360, cond=cond@entry=0x55c23cc943a0, vector=vector@entry=0x0, count=count@entry=0x0) at ../../src/xcb_conn.c:480
#3  0x00007f40cd6e190a in xcb_wait_for_event (c=c@entry=0x55c23cc94360) at ../../src/xcb_in.c:697
#4  0x00007f40cc44a298 in QXcbEventQueue::run (this=0x55c23cc71bb0) at qxcbeventqueue.cpp:228
#5  0x00007f40d229e9d2 in QThreadPrivate::start (arg=0x55c23cc71bb0) at thread/qthread_unix.cpp:361
#6  0x00007f40d197b609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f40d1dc2293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f40ccafb900 (LWP 4923)):
[KCrash Handler]
#6  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50
#7  0x00007f40d1cc5859 in __GI_abort () at abort.c:79
#8  0x00007f40d209a911 in ?? () from /lib/x86_64-linux-gnu/libstdc++.so.6
#9  0x00007f40d20a638c in ?? () from /lib/x86_64-linux-gnu/libstdc++.so.6
#10 0x00007f40d20a63f7 in std::terminate() () from /lib/x86_64-linux-gnu/libstdc++.so.6
#11 0x00007f40d20a66fd in __cxa_rethrow () from /lib/x86_64-linux-gnu/libstdc++.so.6
#12 0x000055c23c315bee in main (argc=<optimized out>, argv=<optimized out>) at ./kmymoney/main.cpp:255
[Inferior 1 (process 4923) detached]

Possible duplicates by query: bug 449741, bug 449608, bug 449557, bug 449042, bug 449008.

Report to https://bugs.kde.org/
Comment 1 Jack 2022-02-11 15:51:56 UTC
5.0.8 is over two years old, and some work has been done in this area since.  Can you find a more recent version?  If not, you can use an appimage version.  (https://kmymoney.org/appimage.html)

In this case, though, why are you trying to add a currency that is already present?  It certainly should not crash,but I don't think there is much the developers can do unless it crashes adding a new currency in a more recent version.
Comment 2 Thomas Baumgart 2022-02-12 06:41:41 UTC
Just did that (use appimage to reproduce) and got the crash. In fact, it does not make sense to do that, but on the other hand, the application should not crash either.
Comment 3 Walter Ogelsby 2022-02-12 11:23:06 UTC
(In reply to Jack from comment #1)
> 5.0.8 is over two years old, and some work has been done in this area since.
> Can you find a more recent version?  If not, you can use an appimage
> version.  (https://kmymoney.org/appimage.html)
> 
> In this case, though, why are you trying to add a currency that is already
> present?  It certainly should not crash,but I don't think there is much the
> developers can do unless it crashes adding a new currency in a more recent
> version.

5.0.8 is the available package for easy install (synaptic, Discover).  I need help learning how to "Make" an installation as the "How to" information from KMyMoney version 5.1-13 confuses me.  I read all I can find about KMyMoney "Make" installation and am baffled how to even begin.  I have downloaded the AppImage and successfully run it, apparently from the Cloud, because it doesn't install.  Running a finance manager from the cloud is unacceptable.

Only reason I attempted was I'm trying to learn how to maintain, clean, properly configure and improve.  I didn't really want to add another of the same currencies.

I'm hoping my problems with KMyMoney and my presence here helps me to be a better Linux user and, maybe... a programmer and I certainly Thank you for your reply.
Comment 4 Walter Ogelsby 2022-02-12 11:29:25 UTC
(In reply to Walter Ogelsby from comment #3)
> (In reply to Jack from comment #1)
> > 5.0.8 is over two years old, and some work has been done in this area since.
> > Can you find a more recent version?  If not, you can use an appimage
> > version.  (https://kmymoney.org/appimage.html)
> > 
> > In this case, though, why are you trying to add a currency that is already
> > present?  It certainly should not crash,but I don't think there is much the
> > developers can do unless it crashes adding a new currency in a more recent
> > version.
> 
> 5.0.8 is the available package for easy install (synaptic, Discover).  I
> need help learning how to "Make" an installation as the "How to" information
> from KMyMoney version 5.1-13 confuses me.  I read all I can find about
> KMyMoney "Make" installation and am baffled how to even begin.  I have
> downloaded the AppImage and successfully run it, apparently from the Cloud,
> because it doesn't install.  Running a finance manager from the cloud is
> unacceptable.
> 
> Only reason I attempted was I'm trying to learn how to maintain, clean,
> properly configure and improve.  I didn't really want to add another of the
> same currencies.
> 
> I'm hoping my problems with KMyMoney and my presence here helps me to be a
> better Linux user and, maybe... a programmer and I certainly Thank you for
> your reply.

(In reply to Thomas Baumgart from comment #2)
> Just did that (use appimage to reproduce) and got the crash. In fact, it
> does not make sense to do that, but on the other hand, the application
> should not crash either.

I'm a computer hacker from an earlier era, when help was less structured and a little easier.  I appreciate your reply and am willing to do anything I can to assist... and to learn and to become a better Linux user and programmer.
Comment 5 Jack 2022-02-12 14:57:44 UTC
Walter,

An appimage absolutely does NOT run in the cloud.  It is a comletely self-contained version of the program.  It has all of the required libraries and such built in, so it can successfully run on (almost) any Linux distribution.  That's why all you have to do is download it and make it executable.  It does not "install" in the usual sense, because the distro's package manager does not need to take care of any dependencies and such.  The name of a particular Linux distro being part of the name of the appimage files is just a side effect of how the Build Factory works.
Instructions on how to actually build (compile) your own version of KMyMoney were removed from the handbook some time ago for many KDE applications.  I would have to hunt for any specific version, but it's generic process of getting the source, doing ./configure, and finally make.  Getting the source depends on whether you want to compile a released version (download a tarball) or a developer version (use git).  There are lots of options, and you also need to be careful not to confuse your distros package manager.
For now, I think the appimage should be fine for  you.

Jack
Comment 6 Brendan 2022-02-12 18:39:18 UTC
I created build scripts for KMM that I have shared here before. You are welcome to try them.

You cat get them here:

https://drive.google.com/drive/folders/1sfo2HgzaCCSb3d7pjl3To50yoQT5BaXM?usp=sharing

Let me know if you have any questions.

Brendan
Comment 7 Thomas Baumgart 2022-02-13 08:17:11 UTC
Git commit 84ace2714a7fa1fc70619aa9a67bcd278ef48b77 by Thomas Baumgart.
Committed on 13/02/2022 at 08:11.
Pushed by tbaumgart into branch 'master'.

Hide used currencies when adding new ones

M  +15   -20   kmymoney/dialogs/kavailablecurrencydlg.cpp
M  +2    -2    kmymoney/dialogs/kavailablecurrencydlg.h
M  +10   -1    kmymoney/dialogs/kcurrencyeditdlg.cpp

https://invent.kde.org/office/kmymoney/commit/84ace2714a7fa1fc70619aa9a67bcd278ef48b77
Comment 8 Thomas Baumgart 2022-02-13 08:17:27 UTC
Git commit 83e1274859d48be98c059fa7fcc452c7eb6f34e4 by Thomas Baumgart.
Committed on 13/02/2022 at 08:14.
Pushed by tbaumgart into branch '5.1'.

Hide used currencies when adding new ones
FIXED-IN: 5.1.3

(cherry picked from commit 84ace2714a7fa1fc70619aa9a67bcd278ef48b77)

M  +15   -20   kmymoney/dialogs/kavailablecurrencydlg.cpp
M  +2    -2    kmymoney/dialogs/kavailablecurrencydlg.h
M  +10   -1    kmymoney/dialogs/kcurrencyeditdlg.cpp

https://invent.kde.org/office/kmymoney/commit/83e1274859d48be98c059fa7fcc452c7eb6f34e4
Comment 9 Walter Ogelsby 2022-02-13 13:16:43 UTC
(In reply to Jack from comment #5)
> Walter,
> 
> An appimage absolutely does NOT run in the cloud.  It is a comletely
> self-contained version of the program.  It has all of the required libraries
> and such built in, so it can successfully run on (almost) any Linux
> distribution.  That's why all you have to do is download it and make it
> executable.  It does not "install" in the usual sense, because the distro's
> package manager does not need to take care of any dependencies and such. 
> The name of a particular Linux distro being part of the name of the appimage
> files is just a side effect of how the Build Factory works.
> Instructions on how to actually build (compile) your own version of KMyMoney
> were removed from the handbook some time ago for many KDE applications.  I
> would have to hunt for any specific version, but it's generic process of
> getting the source, doing ./configure, and finally make.  Getting the source
> depends on whether you want to compile a released version (download a
> tarball) or a developer version (use git).  There are lots of options, and
> you also need to be careful not to confuse your distros package manager.
> For now, I think the appimage should be fine for  you.
> 
> Jack

Jack, very helpful, thank you.  AppImage may be my solution, although, curiosity drives me to "TRY" Bendan's "Build Scripts"... trying to understand this old Linux Application environment (hopefully without destroying my system along the way).
Comment 10 Walter Ogelsby 2022-02-13 13:24:09 UTC
(In reply to Brendan from comment #6)
> I created build scripts for KMM that I have shared here before. You are
> welcome to try them.
> 
> You cat get them here:
> 
> https://drive.google.com/drive/folders/
> 1sfo2HgzaCCSb3d7pjl3To50yoQT5BaXM?usp=sharing
> 
> Let me know if you have any questions.
> 
> Brendan

Brendan, thank you SO much for your assistance.  I have MANY questions I'm trying to answer myself... no question clear enough to ask you... EXCEPT... your opinion about my proceeding further down the road of Building KMM with your Build Scripts, even though I have the AppImage running fine.  I studied your ReadMe and it's cautions... kinda studied the Scripts best I can with my limited understanding.. and I corrected the config.file for my system.  I ran the Build.sh and it coudn't even find the Git Clone location, even though the address in the script file is accurate.  I don't know if I should even continue, being this new.

Your opinion is valuable.